Advisory Details

August 18th, 2020

Parallels Desktop prl_hypervisor Out-Of-Bounds Write Privilege Escalation Vulnerability

ZDI-20-1017
ZDI-CAN-11303

CVE ID CVE-2020-17399
CVSS SCORE 8.8, (AV:L/AC:L/PR:L/UI:N/S:C/C:H/I:H/A:H)
AFFECTED VENDORS Parallels
AFFECTED PRODUCTS Desktop
VULNERABILITY DETAILS

This vulnerability allows local attackers to escalate privileges on affected installations of Parallels Desktop. An attacker must first obtain the ability to execute low-privileged code on the target system in order to exploit this vulnerability.

The specific flaw exists within the prl_hypervisor kext. The issue results from the lack of proper validation of user-supplied data, which can result in a write past the end of an allocated buffer. An attacker can leverage this vulnerability to escalate privileges and execute code in the context of the kernel.

ADDITIONAL DETAILS Parallels has issued an update to correct this vulnerability. More details can be found at:
https://kb.parallels.com/en/125013
DISCLOSURE TIMELINE
  • 2020-07-01 - Vulnerability reported to vendor
  • 2020-08-18 - Coordinated public release of advisory
CREDIT grigoritchy
BACK TO ADVISORIES